Pages plugin - deprecated write_access #8327

Closed
slyhne opened this Issue May 19, 2015 · 3 comments

Comments

Projects
None yet
4 participants
@slyhne
Contributor

slyhne commented May 19, 2015

In Elgg 1.11.1 I get this warning when creating a top-level page:

WARNING: Deprecated in 1.11: The input/write_access view is deprecated. The pages plugin now uses the ['access:collections:write', 'user'] hook to alter options. Called from [#14] /home/devk/www/mod/pages/views/default/input/write_access.php:5
-> [#13] /home/devk/www/engine/classes/Elgg/ViewsService.php:391

At least core should be free of deprecated messages :-)

@yelloff

This comment has been minimized.

Show comment
Hide comment
@yelloff

yelloff Nov 26, 2015

Same for 2.0-rc1

yelloff commented Nov 26, 2015

Same for 2.0-rc1

mrclay added a commit to mrclay/Elgg-leaf that referenced this issue Nov 26, 2015

@mrclay

This comment has been minimized.

Show comment
Hide comment
Member

mrclay commented Nov 26, 2015

PR #9152

@mrclay

This comment has been minimized.

Show comment
Hide comment
@mrclay

mrclay Nov 27, 2015

Member

On second thought, this behavior is intentional in 1.x. If a plugin has overridden/extended input/write_access, we still want it used. It should be removed in 2.0.

Member

mrclay commented Nov 27, 2015

On second thought, this behavior is intentional in 1.x. If a plugin has overridden/extended input/write_access, we still want it used. It should be removed in 2.0.

mrclay added a commit to mrclay/Elgg-leaf that referenced this issue Nov 27, 2015

fix(pages): removes deprecated notices regarding input/write_access
Deprecation notices will only occur if a dev has extended forms/pages/edit
or input/write_access

Fixes #8327

@mrclay mrclay closed this Nov 29, 2015

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment